diff --git a/src/backend/snowball/libstemmer/stem_UTF_8_turkish.c b/src/backend/snowball/libstemmer/stem_UTF_8_turkish.c
index 587351d126..85eee41ada 100644
--- a/src/backend/snowball/libstemmer/stem_UTF_8_turkish.c
+++ b/src/backend/snowball/libstemmer/stem_UTF_8_turkish.c
@@ -1436,101 +1352,101 @@ lab0:
     return 1;
 }
 
-static int r_stem_noun_suffixes(struct SN_env * z) {
-    {   int m1 = z->l - z->c; (void)m1; /* or, line 363 */
+static int r_stem_noun_suffixes(struct SN_env * z) { /* backwardmode */
+    {   int m1 = z->l - z->c; (void)m1; /* or, line 361 */
+        z->ket = z->c; /* [, line 360 */
+        {   int ret = r_mark_lAr(z); /* call mark_lAr, line 360 */
+            if (ret == 0) goto lab1;
+            if (ret < 0) return ret;
+        }
+        z->bra = z->c; /* ], line 360 */
+        {   int ret = slice_del(z); /* delete, line 360 */
+            if (ret < 0) return ret;
+        }
+        {   int m2 = z->l - z->c; (void)m2; /* try, line 360 */
+            {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 360 */
+                if (ret == 0) { z->c = z->l - m2; goto lab2; }
+                if (ret < 0) return ret;
+            }
+        lab2:
+            ;
+        }
+        goto lab0;
+    lab1:
+        z->c = z->l - m1;
         z->ket = z->c; /* [, line 362 */
-        {   int ret = r_mark_lAr(z);
-            if (ret == 0) goto lab1; /* call mark_lAr, line 362 */
+        {   int ret = r_mark_ncA(z); /* call mark_ncA, line 362 */
+            if (ret == 0) goto lab3;
             if (ret < 0) return ret;
         }
         z->bra = z->c; /* ], line 362 */
         {   int ret = slice_del(z); /* delete, line 362 */
             if (ret < 0) return ret;
         }
-        {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 362 */
-            {   int ret = r_stem_suffix_chain_before_ki(z);
-                if (ret == 0) { z->c = z->l - m_keep; goto lab2; } /* call stem_suffix_chain_before_ki, line 362 */
-                if (ret < 0) return ret;
-            }
-        lab2:
-            ;
-        }
-        goto lab0;
-    lab1:
-        z->c = z->l - m1;
-        z->ket = z->c; /* [, line 364 */
-        {   int ret = r_mark_ncA(z);
-            if (ret == 0) goto lab3; /* call mark_ncA, line 364 */
-            if (ret < 0) return ret;
-        }
-        z->bra = z->c; /* ], line 364 */
-        {   int ret = slice_del(z); /* delete, line 364 */
-            if (ret < 0) return ret;
-        }
-        {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 365 */
-            {   int m2 = z->l - z->c; (void)m2; /* or, line 367 */
+        {   int m3 = z->l - z->c; (void)m3; /* try, line 363 */
+            {   int m4 = z->l - z->c; (void)m4; /* or, line 365 */
+                z->ket = z->c; /* [, line 364 */
+                {   int ret = r_mark_lArI(z); /* call mark_lArI, line 364 */
+                    if (ret == 0) goto lab6;
+                    if (ret < 0) return ret;
+                }
+                z->bra = z->c; /* ], line 364 */
+                {   int ret = slice_del(z); /* delete, line 364 */
+                    if (ret < 0) return ret;
+                }
+                goto lab5;
+            lab6:
+                z->c = z->l - m4;
                 z->ket = z->c; /* [, line 366 */
-                {   int ret = r_mark_lArI(z);
-                    if (ret == 0) goto lab6; /* call mark_lArI, line 366 */
-                    if (ret < 0) return ret;
+                {   int m5 = z->l - z->c; (void)m5; /* or, line 366 */
+                    {   int ret = r_mark_possessives(z); /* call mark_possessives, line 366 */
+                        if (ret == 0) goto lab9;
+                        if (ret < 0) return ret;
+                    }
+                    goto lab8;
+                lab9:
+                    z->c = z->l - m5;
+                    {   int ret = r_mark_sU(z); /* call mark_sU, line 366 */
+                        if (ret == 0) goto lab7;
+                        if (ret < 0) return ret;
+                    }
                 }
+            lab8:
                 z->bra = z->c; /* ], line 366 */
                 {   int ret = slice_del(z); /* delete, line 366 */
                     if (ret < 0) return ret;
                 }
+                {   int m6 = z->l - z->c; (void)m6; /* try, line 366 */
+                    z->ket = z->c; /* [, line 366 */
+                    {   int ret = r_mark_lAr(z); /* call mark_lAr, line 366 */
+                        if (ret == 0) { z->c = z->l - m6; goto lab10; }
+                        if (ret < 0) return ret;
+                    }
+                    z->bra = z->c; /* ], line 366 */
+                    {   int ret = slice_del(z); /* delete, line 366 */
+                        if (ret < 0) return ret;
+                    }
+                    {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 366 */
+                        if (ret == 0) { z->c = z->l - m6; goto lab10; }
+                        if (ret < 0) return ret;
+                    }
+                lab10:
+                    ;
+                }
                 goto lab5;
-            lab6:
-                z->c = z->l - m2;
+            lab7:
+                z->c = z->l - m4;
                 z->ket = z->c; /* [, line 368 */
-                {   int m3 = z->l - z->c; (void)m3; /* or, line 368 */
-                    {   int ret = r_mark_possessives(z);
-                        if (ret == 0) goto lab9; /* call mark_possessives, line 368 */
-                        if (ret < 0) return ret;
-                    }
-                    goto lab8;
-                lab9:
-                    z->c = z->l - m3;
-                    {   int ret = r_mark_sU(z);
-                        if (ret == 0) goto lab7; /* call mark_sU, line 368 */
-                        if (ret < 0) return ret;
-                    }
+                {   int ret = r_mark_lAr(z); /* call mark_lAr, line 368 */
+                    if (ret == 0) { z->c = z->l - m3; goto lab4; }
+                    if (ret < 0) return ret;
                 }
-            lab8:
                 z->bra = z->c; /* ], line 368 */
                 {   int ret = slice_del(z); /* delete, line 368 */
                     if (ret < 0) return ret;
                 }
-                {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 368 */
-                    z->ket = z->c; /* [, line 368 */
-                    {   int ret = r_mark_lAr(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab10; } /* call mark_lAr, line 368 */
-                        if (ret < 0) return ret;
-                    }
-                    z->bra = z->c; /* ], line 368 */
-                    {   int ret = slice_del(z); /* delete, line 368 */
-                        if (ret < 0) return ret;
-                    }
-                    {   int ret = r_stem_suffix_chain_before_ki(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab10; } /* call stem_suffix_chain_before_ki, line 368 */
-                        if (ret < 0) return ret;
-                    }
-                lab10:
-                    ;
-                }
-                goto lab5;
-            lab7:
-                z->c = z->l - m2;
-                z->ket = z->c; /* [, line 370 */
-                {   int ret = r_mark_lAr(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab4; } /* call mark_lAr, line 370 */
-                    if (ret < 0) return ret;
-                }
-                z->bra = z->c; /* ], line 370 */
-                {   int ret = slice_del(z); /* delete, line 370 */
-                    if (ret < 0) return ret;
-                }
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab4; } /* call stem_suffix_chain_before_ki, line 370 */
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 368 */
+                    if (ret == 0) { z->c = z->l - m3; goto lab4; }
                     if (ret < 0) return ret;
                 }
             }
@@ -1541,53 +1457,53 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
         goto lab0;
     lab3:
         z->c = z->l - m1;
-        z->ket = z->c; /* [, line 374 */
-        {   int m4 = z->l - z->c; (void)m4; /* or, line 374 */
-            {   int ret = r_mark_ndA(z);
-                if (ret == 0) goto lab13; /* call mark_ndA, line 374 */
+        z->ket = z->c; /* [, line 372 */
+        {   int m7 = z->l - z->c; (void)m7; /* or, line 372 */
+            {   int ret = r_mark_ndA(z); /* call mark_ndA, line 372 */
+                if (ret == 0) goto lab13;
                 if (ret < 0) return ret;
             }
             goto lab12;
         lab13:
-            z->c = z->l - m4;
-            {   int ret = r_mark_nA(z);
-                if (ret == 0) goto lab11; /* call mark_nA, line 374 */
+            z->c = z->l - m7;
+            {   int ret = r_mark_nA(z); /* call mark_nA, line 372 */
+                if (ret == 0) goto lab11;
                 if (ret < 0) return ret;
             }
         }
     lab12:
-        {   int m5 = z->l - z->c; (void)m5; /* or, line 377 */
-            {   int ret = r_mark_lArI(z);
-                if (ret == 0) goto lab15; /* call mark_lArI, line 376 */
+        {   int m8 = z->l - z->c; (void)m8; /* or, line 375 */
+            {   int ret = r_mark_lArI(z); /* call mark_lArI, line 374 */
+                if (ret == 0) goto lab15;
+                if (ret < 0) return ret;
+            }
+            z->bra = z->c; /* ], line 374 */
+            {   int ret = slice_del(z); /* delete, line 374 */
+                if (ret < 0) return ret;
+            }
+            goto lab14;
+        lab15:
+            z->c = z->l - m8;
+            {   int ret = r_mark_sU(z); /* call mark_sU, line 376 */
+                if (ret == 0) goto lab16;
                 if (ret < 0) return ret;
             }
             z->bra = z->c; /* ], line 376 */
             {   int ret = slice_del(z); /* delete, line 376 */
                 if (ret < 0) return ret;
             }
-            goto lab14;
-        lab15:
-            z->c = z->l - m5;
-            {   int ret = r_mark_sU(z);
-                if (ret == 0) goto lab16; /* call mark_sU, line 378 */
-                if (ret < 0) return ret;
-            }
-            z->bra = z->c; /* ], line 378 */
-            {   int ret = slice_del(z); /* delete, line 378 */
-                if (ret < 0) return ret;
-            }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 378 */
-                z->ket = z->c; /* [, line 378 */
-                {   int ret = r_mark_lAr(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab17; } /* call mark_lAr, line 378 */
+            {   int m9 = z->l - z->c; (void)m9; /* try, line 376 */
+                z->ket = z->c; /* [, line 376 */
+                {   int ret = r_mark_lAr(z); /* call mark_lAr, line 376 */
+                    if (ret == 0) { z->c = z->l - m9; goto lab17; }
                     if (ret < 0) return ret;
                 }
-                z->bra = z->c; /* ], line 378 */
-                {   int ret = slice_del(z); /* delete, line 378 */
+                z->bra = z->c; /* ], line 376 */
+                {   int ret = slice_del(z); /* delete, line 376 */
                     if (ret < 0) return ret;
                 }
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab17; } /* call stem_suffix_chain_before_ki, line 378 */
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 376 */
+                    if (ret == 0) { z->c = z->l - m9; goto lab17; }
                     if (ret < 0) return ret;
                 }
             lab17:
@@ -1595,9 +1511,9 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
             }
             goto lab14;
         lab16:
-            z->c = z->l - m5;
-            {   int ret = r_stem_suffix_chain_before_ki(z);
-                if (ret == 0) goto lab11; /* call stem_suffix_chain_before_ki, line 380 */
+            z->c = z->l - m8;
+            {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 378 */
+                if (ret == 0) goto lab11;
                 if (ret < 0) return ret;
             }
         }
@@ -1605,42 +1521,42 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
         goto lab0;
     lab11:
         z->c = z->l - m1;
-        z->ket = z->c; /* [, line 384 */
-        {   int m6 = z->l - z->c; (void)m6; /* or, line 384 */
-            {   int ret = r_mark_ndAn(z);
-                if (ret == 0) goto lab20; /* call mark_ndAn, line 384 */
+        z->ket = z->c; /* [, line 382 */
+        {   int m10 = z->l - z->c; (void)m10; /* or, line 382 */
+            {   int ret = r_mark_ndAn(z); /* call mark_ndAn, line 382 */
+                if (ret == 0) goto lab20;
                 if (ret < 0) return ret;
             }
             goto lab19;
         lab20:
-            z->c = z->l - m6;
-            {   int ret = r_mark_nU(z);
-                if (ret == 0) goto lab18; /* call mark_nU, line 384 */
+            z->c = z->l - m10;
+            {   int ret = r_mark_nU(z); /* call mark_nU, line 382 */
+                if (ret == 0) goto lab18;
                 if (ret < 0) return ret;
             }
         }
     lab19:
-        {   int m7 = z->l - z->c; (void)m7; /* or, line 384 */
-            {   int ret = r_mark_sU(z);
-                if (ret == 0) goto lab22; /* call mark_sU, line 384 */
+        {   int m11 = z->l - z->c; (void)m11; /* or, line 382 */
+            {   int ret = r_mark_sU(z); /* call mark_sU, line 382 */
+                if (ret == 0) goto lab22;
                 if (ret < 0) return ret;
             }
-            z->bra = z->c; /* ], line 384 */
-            {   int ret = slice_del(z); /* delete, line 384 */
+            z->bra = z->c; /* ], line 382 */
+            {   int ret = slice_del(z); /* delete, line 382 */
                 if (ret < 0) return ret;
             }
-            {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 384 */
-                z->ket = z->c; /* [, line 384 */
-                {   int ret = r_mark_lAr(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab23; } /* call mark_lAr, line 384 */
+            {   int m12 = z->l - z->c; (void)m12; /* try, line 382 */
+                z->ket = z->c; /* [, line 382 */
+                {   int ret = r_mark_lAr(z); /* call mark_lAr, line 382 */
+                    if (ret == 0) { z->c = z->l - m12; goto lab23; }
                     if (ret < 0) return ret;
                 }
-                z->bra = z->c; /* ], line 384 */
-                {   int ret = slice_del(z); /* delete, line 384 */
+                z->bra = z->c; /* ], line 382 */
+                {   int ret = slice_del(z); /* delete, line 382 */
                     if (ret < 0) return ret;
                 }
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab23; } /* call stem_suffix_chain_before_ki, line 384 */
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 382 */
+                    if (ret == 0) { z->c = z->l - m12; goto lab23; }
                     if (ret < 0) return ret;
                 }
             lab23:
@@ -1648,9 +1564,9 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
             }
             goto lab21;
         lab22:
-            z->c = z->l - m7;
-            {   int ret = r_mark_lArI(z);
-                if (ret == 0) goto lab18; /* call mark_lArI, line 384 */
+            z->c = z->l - m11;
+            {   int ret = r_mark_lArI(z); /* call mark_lArI, line 382 */
+                if (ret == 0) goto lab18;
                 if (ret < 0) return ret;
             }
         }
@@ -1658,38 +1574,38 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
         goto lab0;
     lab18:
         z->c = z->l - m1;
-        z->ket = z->c; /* [, line 386 */
-        {   int ret = r_mark_DAn(z);
-            if (ret == 0) goto lab24; /* call mark_DAn, line 386 */
+        z->ket = z->c; /* [, line 384 */
+        {   int ret = r_mark_DAn(z); /* call mark_DAn, line 384 */
+            if (ret == 0) goto lab24;
             if (ret < 0) return ret;
         }
-        z->bra = z->c; /* ], line 386 */
-        {   int ret = slice_del(z); /* delete, line 386 */
+        z->bra = z->c; /* ], line 384 */
+        {   int ret = slice_del(z); /* delete, line 384 */
             if (ret < 0) return ret;
         }
-        {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 386 */
-            z->ket = z->c; /* [, line 386 */
-            {   int m8 = z->l - z->c; (void)m8; /* or, line 389 */
-                {   int ret = r_mark_possessives(z);
-                    if (ret == 0) goto lab27; /* call mark_possessives, line 388 */
+        {   int m13 = z->l - z->c; (void)m13; /* try, line 384 */
+            z->ket = z->c; /* [, line 384 */
+            {   int m14 = z->l - z->c; (void)m14; /* or, line 387 */
+                {   int ret = r_mark_possessives(z); /* call mark_possessives, line 386 */
+                    if (ret == 0) goto lab27;
                     if (ret < 0) return ret;
                 }
-                z->bra = z->c; /* ], line 388 */
-                {   int ret = slice_del(z); /* delete, line 388 */
+                z->bra = z->c; /* ], line 386 */
+                {   int ret = slice_del(z); /* delete, line 386 */
                     if (ret < 0) return ret;
                 }
-                {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 388 */
-                    z->ket = z->c; /* [, line 388 */
-                    {   int ret = r_mark_lAr(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab28; } /* call mark_lAr, line 388 */
+                {   int m15 = z->l - z->c; (void)m15; /* try, line 386 */
+                    z->ket = z->c; /* [, line 386 */
+                    {   int ret = r_mark_lAr(z); /* call mark_lAr, line 386 */
+                        if (ret == 0) { z->c = z->l - m15; goto lab28; }
                         if (ret < 0) return ret;
                     }
-                    z->bra = z->c; /* ], line 388 */
-                    {   int ret = slice_del(z); /* delete, line 388 */
+                    z->bra = z->c; /* ], line 386 */
+                    {   int ret = slice_del(z); /* delete, line 386 */
                         if (ret < 0) return ret;
                     }
-                    {   int ret = r_stem_suffix_chain_before_ki(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab28; } /* call stem_suffix_chain_before_ki, line 388 */
+                    {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 386 */
+                        if (ret == 0) { z->c = z->l - m15; goto lab28; }
                         if (ret < 0) return ret;
                     }
                 lab28:
@@ -1697,18 +1613,18 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
                 }
                 goto lab26;
             lab27:
-                z->c = z->l - m8;
-                {   int ret = r_mark_lAr(z);
-                    if (ret == 0) goto lab29; /* call mark_lAr, line 390 */
+                z->c = z->l - m14;
+                {   int ret = r_mark_lAr(z); /* call mark_lAr, line 388 */
+                    if (ret == 0) goto lab29;
                     if (ret < 0) return ret;
                 }
-                z->bra = z->c; /* ], line 390 */
-                {   int ret = slice_del(z); /* delete, line 390 */
+                z->bra = z->c; /* ], line 388 */
+                {   int ret = slice_del(z); /* delete, line 388 */
                     if (ret < 0) return ret;
                 }
-                {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 390 */
-                    {   int ret = r_stem_suffix_chain_before_ki(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab30; } /* call stem_suffix_chain_before_ki, line 390 */
+                {   int m16 = z->l - z->c; (void)m16; /* try, line 388 */
+                    {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 388 */
+                        if (ret == 0) { z->c = z->l - m16; goto lab30; }
                         if (ret < 0) return ret;
                     }
                 lab30:
@@ -1716,9 +1632,9 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
                 }
                 goto lab26;
             lab29:
-                z->c = z->l - m8;
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab25; } /* call stem_suffix_chain_before_ki, line 392 */
+                z->c = z->l - m14;
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 390 */
+                    if (ret == 0) { z->c = z->l - m13; goto lab25; }
                     if (ret < 0) return ret;
                 }
             }
@@ -1729,74 +1645,74 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
         goto lab0;
     lab24:
         z->c = z->l - m1;
-        z->ket = z->c; /* [, line 396 */
-        {   int m9 = z->l - z->c; (void)m9; /* or, line 396 */
-            {   int ret = r_mark_nUn(z);
-                if (ret == 0) goto lab33; /* call mark_nUn, line 396 */
+        z->ket = z->c; /* [, line 394 */
+        {   int m17 = z->l - z->c; (void)m17; /* or, line 394 */
+            {   int ret = r_mark_nUn(z); /* call mark_nUn, line 394 */
+                if (ret == 0) goto lab33;
                 if (ret < 0) return ret;
             }
             goto lab32;
         lab33:
-            z->c = z->l - m9;
-            {   int ret = r_mark_ylA(z);
-                if (ret == 0) goto lab31; /* call mark_ylA, line 396 */
+            z->c = z->l - m17;
+            {   int ret = r_mark_ylA(z); /* call mark_ylA, line 394 */
+                if (ret == 0) goto lab31;
                 if (ret < 0) return ret;
             }
         }
     lab32:
-        z->bra = z->c; /* ], line 396 */
-        {   int ret = slice_del(z); /* delete, line 396 */
+        z->bra = z->c; /* ], line 394 */
+        {   int ret = slice_del(z); /* delete, line 394 */
             if (ret < 0) return ret;
         }
-        {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 397 */
-            {   int m10 = z->l - z->c; (void)m10; /* or, line 399 */
-                z->ket = z->c; /* [, line 398 */
-                {   int ret = r_mark_lAr(z);
-                    if (ret == 0) goto lab36; /* call mark_lAr, line 398 */
+        {   int m18 = z->l - z->c; (void)m18; /* try, line 395 */
+            {   int m19 = z->l - z->c; (void)m19; /* or, line 397 */
+                z->ket = z->c; /* [, line 396 */
+                {   int ret = r_mark_lAr(z); /* call mark_lAr, line 396 */
+                    if (ret == 0) goto lab36;
                     if (ret < 0) return ret;
                 }
-                z->bra = z->c; /* ], line 398 */
-                {   int ret = slice_del(z); /* delete, line 398 */
+                z->bra = z->c; /* ], line 396 */
+                {   int ret = slice_del(z); /* delete, line 396 */
                     if (ret < 0) return ret;
                 }
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) goto lab36; /* call stem_suffix_chain_before_ki, line 398 */
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 396 */
+                    if (ret == 0) goto lab36;
                     if (ret < 0) return ret;
                 }
                 goto lab35;
             lab36:
-                z->c = z->l - m10;
-                z->ket = z->c; /* [, line 400 */
-                {   int m11 = z->l - z->c; (void)m11; /* or, line 400 */
-                    {   int ret = r_mark_possessives(z);
-                        if (ret == 0) goto lab39; /* call mark_possessives, line 400 */
+                z->c = z->l - m19;
+                z->ket = z->c; /* [, line 398 */
+                {   int m20 = z->l - z->c; (void)m20; /* or, line 398 */
+                    {   int ret = r_mark_possessives(z); /* call mark_possessives, line 398 */
+                        if (ret == 0) goto lab39;
                         if (ret < 0) return ret;
                     }
                     goto lab38;
                 lab39:
-                    z->c = z->l - m11;
-                    {   int ret = r_mark_sU(z);
-                        if (ret == 0) goto lab37; /* call mark_sU, line 400 */
+                    z->c = z->l - m20;
+                    {   int ret = r_mark_sU(z); /* call mark_sU, line 398 */
+                        if (ret == 0) goto lab37;
                         if (ret < 0) return ret;
                     }
                 }
             lab38:
-                z->bra = z->c; /* ], line 400 */
-                {   int ret = slice_del(z); /* delete, line 400 */
+                z->bra = z->c; /* ], line 398 */
+                {   int ret = slice_del(z); /* delete, line 398 */
                     if (ret < 0) return ret;
                 }
-                {   int m_keep = z->l - z->c;/* (void) m_keep;*/ /* try, line 400 */
-                    z->ket = z->c; /* [, line 400 */
-                    {   int ret = r_mark_lAr(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab40; } /* call mark_lAr, line 400 */
+                {   int m21 = z->l - z->c; (void)m21; /* try, line 398 */
+                    z->ket = z->c; /* [, line 398 */
+                    {   int ret = r_mark_lAr(z); /* call mark_lAr, line 398 */
+                        if (ret == 0) { z->c = z->l - m21; goto lab40; }
                         if (ret < 0) return ret;
                     }
-                    z->bra = z->c; /* ], line 400 */
-                    {   int ret = slice_del(z); /* delete, line 400 */
+                    z->bra = z->c; /* ], line 398 */
+                    {   int ret = slice_del(z); /* delete, line 398 */
                         if (ret < 0) return ret;
                     }
-                    {   int ret = r_stem_suffix_chain_before_ki(z);
-                        if (ret == 0) { z->c = z->l - m_keep; goto lab40; } /* call stem_suffix_chain_before_ki, line 400 */
+                    {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 398 */
+                        if (ret == 0) { z->c = z->l - m21; goto lab40; }
                         if (ret < 0) return ret;
                     }
                 lab40:
@@ -1804,9 +1720,9 @@ static int r_stem_noun_suffixes(struct SN_env * z) {
                 }
                 goto lab35;
             lab37:
-                z->c = z->l - m10;
-                {   int ret = r_stem_suffix_chain_before_ki(z);
-                    if (ret == 0) { z->c = z->l - m_keep; goto lab34; } /* call stem_suffix_chain_before_ki, line 402 */
+                z->c = z->l - m19;
+                {   int ret = r_stem_suffix_chain_before_ki(z); /* call stem_suffix_chain_before_ki, line 400 */
+                    if (ret == 0) { z->c = z->l - m18; goto lab34; }
                     if (ret < 0) return ret;
                 }
             }
